--- gtk/Makefile.in.orig	2004-07-08 00:26:54 +0200
+++ gtk/Makefile.in	2004-07-12 14:09:42 +0200
@@ -945,7 +938,7 @@
 	done
 check-am: all-am
 check: check-am
-all-am: Makefile $(LIBRARIES) $(HEADERS)
+all-am: $(LIBRARIES) $(HEADERS)
 installdirs:
 install: install-am
 install-exec: install-exec-am
--- gtk/main.c.orig	2004-03-30 10:49:43.000000000 +0200
+++ gtk/main.c	2004-03-30 10:49:49.000000000 +0200
@@ -47,10 +47,7 @@
 
 #include <string.h>
 #include <ctype.h>
-
-#ifdef HAVE_UNISTD_H
 #include <unistd.h>
-#endif
 
 #ifdef HAVE_IO_H
 #include <io.h> /* open/close on win32 */
--- epan/inet_pton.c.orig	2004-03-30 14:52:39.000000000 +0200
+++ epan/inet_pton.c	2004-03-30 14:53:29.000000000 +0200
@@ -15,6 +15,8 @@
  * SOFTWARE.
  */
 
+#if !defined(__FreeBSD__)
+
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
@@ -267,3 +269,4 @@
 	return (1);
 }
 #endif
+#endif /* #if !defined(__FreeBSD__) */
--- Makefile.in.orig	2004-03-30 14:58:08.000000000 +0200
+++ Makefile.in	2004-03-30 14:58:21.000000000 +0200
@@ -883,7 +883,6 @@
 	$(ethereal_optional_objects)	\
 	$(ethereal_additional_libs)	\
 	@SNMP_LIBS@ @SSL_LIBS@ 		\
-	$(plugin_ldadd)			\
 	@PCRE_LIBS@			\
 	@PCAP_LIBS@ @GTK_LIBS@ @ADNS_LIBS@ @KRB5_LIBS@ @FRAMEWORKS@
 
@@ -907,7 +906,6 @@
 	$(ethereal_optional_objects)	\
 	$(tethereal_additional_libs)	\
 	@SNMP_LIBS@ @SSL_LIBS@		\
-	$(plugin_ldadd)			\
 	@PCRE_LIBS@			\
 	@GLIB_LIBS@ -lm			\
 	@PCAP_LIBS@ @SOCKET_LIBS@ @NSL_LIBS@ @ADNS_LIBS@ @KRB5_LIBS@
Index: configure
--- configure.orig	2004-10-21 04:50:23.000000000 +0200
+++ configure	2004-10-23 11:44:44.242378655 +0200
@@ -15298,6 +15298,9 @@
 else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lcrypto  $LIBS"
+case "$host_os" in
+  solaris* ) LIBS="$LIBS -lsocket -lnsl" ;;
+esac
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
Index: epan/dissectors/Makefile.in
--- epan/dissectors/Makefile.in.orig	2005-05-04 23:32:03 +0200
+++ epan/dissectors/Makefile.in	2005-06-13 19:46:45 +0200
@@ -2228,7 +2228,7 @@
 # All subsequent arguments are the files to scan.
 #
 register.c: $(plugin_src) $(DISSECTOR_SRC) $(srcdir)/make-reg-dotc $(srcdir)/make-reg-dotc.py
-	@if test -n $(PYTHON); then \
+	@if test -n "$(PYTHON)"; then \
 		echo Making register.c with python ; \
 		$(PYTHON) $(srcdir)/make-reg-dotc.py $(srcdir) $(DISSECTOR_SRC) ; \
 	else \

-----------------------------------------------------------------------------

Work around a GCC bug that prevents Ethereal from
linking when compiled with optimizations above -O. See
http://www.ethereal.com/lists/ethereal-dev/200505/msg00069.html for more
details.

Index: epan/dissectors/packet-diameter.c
--- epan/dissectors/packet-diameter.c.orig	2005-05-02 23:28:44 +0200
+++ epan/dissectors/packet-diameter.c	2005-05-15 19:35:12 +0200
@@ -2022,13 +2022,13 @@
 		  { "Flags", "diameter.flags", FT_UINT8, BASE_HEX, NULL, 0x0,
 		    "", HFILL }},
 		{ &hf_diameter_flags_request,
-		  { "Request", "diameter.flags.request", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_R,
+		  { "Request ", "diameter.flags.request", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_R,
 			"", HFILL }},
 		{ &hf_diameter_flags_proxyable,
-		  { "Proxyable", "diameter.flags.proxyable", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_P,
+		  { "Proxyable ", "diameter.flags.proxyable", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_P,
 			"", HFILL }},
 		{ &hf_diameter_flags_error,
-		  { "Error","diameter.flags.error", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_E,
+		  { "Error ","diameter.flags.error", FT_BOOLEAN, 8, TFS(&flags_set_truth), DIAM_FLAGS_E,
 			"", HFILL }},
 		{ &hf_diameter_flags_T,
 		  { "T(Potentially re-transmitted message)","diameter.flags.T", FT_BOOLEAN, 8, TFS(&flags_set_truth),DIAM_FLAGS_T,

